it.csi.mddtools.guigen

## Interface MapEnvelope

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface MapEnvelope
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Map Envelope'.

  The following features are supported:

  - `North East`
  - `South West`
  See Also:
    `GuigenPackage.getMapEnvelope()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Point` | `getNorthEast()` Returns the value of the 'North East' containment reference
    `Point` | `getSouthWest()` Returns the value of the 'South West' containment reference
    `void` | `setNorthEast(Point value)` Sets the value of the '`North East`' containment reference
    `void` | `setSouthWest(Point value)` Sets the value of the '`South West`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getNorthEast

          Point getNorthEast()

      Returns the value of the 'North East' containment reference.

      If the meaning of the 'North East' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'North East' containment reference.
      See Also:
        `setNorthEast(Point)`, `GuigenPackage.getMapEnvelope_NorthEast()`

    - #### setNorthEast

          void setNorthEast(Point value)

      Sets the value of the '`North East`' containment reference.
      Parameters:
        `value` - the new value of the 'North East' containment reference.
      See Also:
        `getNorthEast()`

    - #### getSouthWest

          Point getSouthWest()

      Returns the value of the 'South West' containment reference.

      If the meaning of the 'South West' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'South West' containment reference.
      See Also:
        `setSouthWest(Point)`, `GuigenPackage.getMapEnvelope_SouthWest()`

    - #### setSouthWest

          void setSouthWest(Point value)

      Sets the value of the '`South West`' containment reference.
      Parameters:
        `value` - the new value of the 'South West' containment reference.
      See Also:
        `getSouthWest()`